% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(forest,low(maxt),1),secondary,col(low_v_maxt,3),minf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest,low(maxt),2),secondary,col(low_v_maxt,5),maxp,18,0,t([],[],[],0),cst,[]).
conjecture(id(forest,low(maxt),3),secondary,col(low_v_maxt,7),f,18,1,t([col(low_v_maxt,1)],[v],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(forest,low(maxt),4),secondary,col(low_v_maxt,9),t,18,1,t([col(low_v_maxt,1)],[v],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(forest,low(maxt),5),secondary,col(low_v_maxt,4),mint,18,1,t([col(low_v_maxt,3)],[minf],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(forest,low(maxt),6),secondary,col(low_v_maxt,6),maxf,18,1,t([col(low_v_maxt,3)],[minf],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(forest,low(maxt),7),secondary,col(low_v_maxt,8),maxd,18,1,t([col(low_v_maxt,5)],[maxp],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(forest,low(maxt),8),secondary,col(low_v_maxt,10),mind,18,1,t([col(low_v_maxt,5)],[maxp],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(forest,low(maxt),9),secondary,col(low_v_maxt,11),minp,18,1,t([col(low_v_maxt,5)],[maxp],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(forest,low(maxt),10),low,col(low_v_maxt,2),maxt,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest,low(maxt),1),secondary,col(low_v_f_maxt,5),maxp,18,2,t([col(low_v_f_maxt,1),col(low_v_f_maxt,2)],[v,f],[_14813,_14817],polynom([monome([t(ceil(_14813,_14817),1)],1),monome([],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),2),secondary,col(low_v_f_maxt,6),minf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest,low(maxt),3),low,col(low_v_f_maxt,3),maxt,18,1,t([col(low_v_f_maxt,1),col(low_v_f_maxt,2)],[v,f],[_14813,_14817],polynom([monome([t(ceil(_14813,_14817),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),1),secondary,col(low_v_maxd_maxt,4),maxf,18,2,t([col(low_v_maxd_maxt,2)],[maxd],[_14799],if(eq(_14799,0),1,_14799)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,low(maxt),2),low,col(low_v_maxd_maxt,3),maxt,18,2,t([col(low_v_maxd_maxt,2)],[maxd],[_14799],polynom([monome([t(_14799,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),1),secondary,col(low_v_maxf_maxt,4),maxd,18,2,t([col(low_v_maxf_maxt,2)],[maxf],[_14799],if(eq(_14799,1),0,_14799)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,low(maxt),2),low,col(low_v_maxf_maxt,3),maxt,18,4,t([col(low_v_maxf_maxt,2)],[maxf],[_14799],polynom([monome([t(_14799,1),t(geq(_14799,2),1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),3),low,col(low_v_maxf_maxt,3),maxt,18,3,t([col(low_v_maxf_maxt,2)],[maxf],[_14799],if(eq(_14799,1),1,plus(_14799,1))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(unary_term([plus(1,3)]))]).
conjecture(id(forest,low(maxt),4),low,col(low_v_maxf_maxt,3),maxt,18,2,t([col(low_v_maxf_maxt,4)],[maxd],[_14799],polynom([monome([t(_14799,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),1),secondary,col(low_v_maxp_maxt,5),minf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest,low(maxt),2),low,col(low_v_maxp_maxt,3),maxt,18,2,t([col(low_v_maxp_maxt,2)],[maxp],[_14799],polynom([monome([t(_14799,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),1),secondary,col(low_v_mind_maxt,4),maxd,18,1,t([col(low_v_mind_maxt,2)],[mind],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,low(maxt),2),secondary,col(low_v_mind_maxt,5),maxf,18,2,t([col(low_v_mind_maxt,2)],[mind],[_14799],if(eq(_14799,0),1,_14799)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,low(maxt),3),secondary,col(low_v_mind_maxt,6),maxp,18,2,t([col(low_v_mind_maxt,2)],[mind],[_14799],bool(0,0,and,1,[geq(_14799,1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest,low(maxt),4),secondary,col(low_v_mind_maxt,6),maxp,18,0,t([col(low_v_mind_maxt,2)],[mind],[_14799],bool(1,0,and,1,[eq(_14799,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest,low(maxt),5),low,col(low_v_mind_maxt,3),maxt,18,2,t([col(low_v_mind_maxt,2)],[mind],[_14799],polynom([monome([t(_14799,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),6),low,col(low_v_mind_maxt,3),maxt,18,2,t([col(low_v_mind_maxt,5),col(low_v_mind_maxt,6)],[maxf,maxp],[_14813,_14817],polynom([monome([t(_14813,1),t(_14817,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),1),low,col(low_v_t_maxt,3),maxt,18,1,t([col(low_v_t_maxt,1),col(low_v_t_maxt,2)],[v,t],[_14817,_14821],polynom([monome([t(ceil(_14817,_14821),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),1),secondary,col(low_v_f_maxd_maxt,5),maxf,11,2,t([col(low_v_f_maxd_maxt,3)],[maxd],[_14803],if(eq(_14803,0),1,_14803)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,low(maxt),1),secondary,col(low_v_f_maxp_maxt,6),minf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest,low(maxt),2),low,col(low_v_f_maxp_maxt,4),maxt,18,2,t([col(low_v_f_maxp_maxt,3)],[maxp],[_14803],polynom([monome([t(_14803,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),1),low,col(low_v_mind_maxp_maxt,4),maxt,13,2,t([col(low_v_mind_maxp_maxt,2),col(low_v_mind_maxp_maxt,3)],[mind,maxp],[_14817,_14821],polynom([monome([t(_14817,1),t(_14821,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,low(maxt),1),low,col(low_v_t_minf_maxt,4),maxt,14,1,t([col(low_v_t_minf_maxt,1),col(low_v_t_minf_maxt,2)],[v,t],[_14817,_14821],polynom([monome([t(ceil(_14817,_14821),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).

missing(low_v_f_maxt,col,mind).
missing(low_v_f_maxt,low,maxt).
missing(low_v_maxd_maxt,low,maxt).
missing(low_v_maxp_maxt,col,mind).
missing(low_v_maxp_maxt,low,maxt).
missing(low_v_minf_maxt,low,maxt).
missing(low_v_minp_maxt,low,maxt).
missing(low_v_mint_maxt,low,maxt).
missing(low_v_f_maxd_maxt,low,maxt).
missing(low_v_f_maxf_maxt,low,maxt).
missing(low_v_f_maxp_maxt,col,mind).
missing(low_v_f_maxp_maxt,low,maxt).
missing(low_v_f_mind_maxt,low,maxt).
missing(low_v_f_minf_maxt,low,maxt).
missing(low_v_f_minp_maxt,low,maxt).
missing(low_v_f_mint_maxt,low,maxt).
missing(low_v_maxd_maxp_maxt,low,maxt).
missing(low_v_maxd_minp_maxt,low,maxt).
missing(low_v_maxd_mint_maxt,low,maxt).
missing(low_v_maxf_maxd_maxt,low,maxt).
missing(low_v_maxf_maxp_maxt,low,maxt).
missing(low_v_maxf_mind_maxt,col,maxd).
missing(low_v_maxf_mind_maxt,low,maxt).
missing(low_v_maxf_minp_maxt,low,maxt).
missing(low_v_maxf_mint_maxt,low,maxt).
missing(low_v_maxp_mint_maxt,low,maxt).
missing(low_v_mind_maxd_maxt,col,maxf).
missing(low_v_mind_maxd_maxt,low,maxt).
missing(low_v_mind_minp_maxt,low,maxt).
missing(low_v_mind_mint_maxt,low,maxt).
missing(low_v_minf_maxd_maxt,low,maxt).
missing(low_v_minf_maxf_maxt,low,maxt).
missing(low_v_minf_maxp_maxt,low,maxt).
missing(low_v_minf_mind_maxt,low,maxt).
missing(low_v_minf_minp_maxt,low,maxt).
missing(low_v_minf_mint_maxt,low,maxt).
missing(low_v_minp_maxp_maxt,low,maxt).
missing(low_v_minp_mint_maxt,low,maxt).
missing(low_v_t_f_maxt,low,maxt).
missing(low_v_t_maxd_maxt,low,maxt).
missing(low_v_t_maxf_maxt,low,maxt).
missing(low_v_t_maxp_maxt,low,maxt).
missing(low_v_t_mind_maxt,low,maxt).
missing(low_v_t_minp_maxt,low,maxt).
missing(low_v_t_mint_maxt,low,maxt).
