% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(graph,low(maxs),1),secondary,col(low_c_maxs,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_c_maxs,4),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),3),low,col(low_c_maxs,2),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_maxc_maxs,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_maxc_maxs,4),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),3),low,col(low_maxc_maxs,2),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_minc_maxs,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_minc_maxs,4),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),3),low,col(low_minc_maxs,2),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),low,col(low_mins_maxs,2),maxs,26,1,t([col(low_mins_maxs,1)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_s_maxs,3),v,26,1,t([col(low_s_maxs,1)],[s],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_s_maxs,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_s_maxs,5),omins,26,1,t([col(low_s_maxs,1)],[s],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),4),secondary,col(low_s_maxs,6),omaxs,26,1,t([col(low_s_maxs,1)],[s],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),5),secondary,col(low_s_maxs,7),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),6),low,col(low_s_maxs,2),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_v_maxs,3),s,26,1,t([col(low_v_maxs,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_v_maxs,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_v_maxs,5),omins,26,1,t([col(low_v_maxs,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),4),secondary,col(low_v_maxs,6),omaxs,26,1,t([col(low_v_maxs,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),5),secondary,col(low_v_maxs,7),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),6),low,col(low_v_maxs,2),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_c_maxc_maxs,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_c_maxc_maxs,5),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),3),low,col(low_c_maxc_maxs,3),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_c_minc_maxs,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_c_minc_maxs,5),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),3),low,col(low_c_minc_maxs,3),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),low,col(low_c_mins_maxs,3),maxs,26,1,t([col(low_c_mins_maxs,2)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_c_s_maxs,4),v,26,1,t([col(low_c_s_maxs,2)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_c_s_maxs,5),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_c_s_maxs,6),omins,26,1,t([col(low_c_s_maxs,2)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),4),secondary,col(low_c_s_maxs,7),omaxs,26,1,t([col(low_c_s_maxs,2)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),5),secondary,col(low_c_s_maxs,8),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),6),low,col(low_c_s_maxs,3),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),low,col(low_maxc_s_maxs,3),maxs,15,1,t([col(low_maxc_s_maxs,1),col(low_maxc_s_maxs,2)],[maxc,s],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxs),1),secondary,col(low_minc_maxc_maxs,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_minc_maxc_maxs,5),minmaxc,26,2,t([col(low_minc_maxc_maxs,1),col(low_minc_maxc_maxs,2)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxs),3),secondary,col(low_minc_maxc_maxs,6),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),4),low,col(low_minc_maxc_maxs,3),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),low,col(low_minc_s_maxs,3),maxs,16,5,t([col(low_minc_s_maxs,1),col(low_minc_s_maxs,2)],[minc,s],[_14809,_14813],if(eq(floor(_14813,_14809),1),ceil(_14813,_14809),ceil(_14809,_14813))),cond,[cond(binary_term_eq_coef([floor],coef(0,3))),then(binary_term([ceil])),else(binary_term([ceil]))]).
conjecture(id(graph,low(maxs),1),secondary,col(low_s_mins_maxs,4),v,26,1,t([col(low_s_mins_maxs,1),col(low_s_mins_maxs,2)],[s,mins],[_14809,_14813],polynom([monome([t(_14809,1),t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxs),2),secondary,col(low_s_mins_maxs,5),omins,26,1,t([col(low_s_mins_maxs,1)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_s_mins_maxs,6),omaxs,26,1,t([col(low_s_mins_maxs,1)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),4),secondary,col(low_s_mins_maxs,7),os,26,2,t([col(low_s_mins_maxs,1),col(low_s_mins_maxs,2)],[s,mins],[_14809,_14813],if(eq(_14813,1),0,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxs),5),low,col(low_s_mins_maxs,3),maxs,26,1,t([col(low_s_mins_maxs,2)],[mins],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_v_c_maxs,4),s,26,1,t([col(low_v_c_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_v_c_maxs,5),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_v_c_maxs,6),omins,26,1,t([col(low_v_c_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),4),secondary,col(low_v_c_maxs,7),omaxs,26,1,t([col(low_v_c_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),5),secondary,col(low_v_c_maxs,8),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),6),low,col(low_v_c_maxs,3),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_v_maxc_maxs,4),s,26,1,t([col(low_v_maxc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_v_maxc_maxs,5),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_v_maxc_maxs,6),omins,26,1,t([col(low_v_maxc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),4),secondary,col(low_v_maxc_maxs,7),omaxs,26,1,t([col(low_v_maxc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),5),secondary,col(low_v_maxc_maxs,8),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),6),low,col(low_v_maxc_maxs,3),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_v_minc_maxs,4),s,26,1,t([col(low_v_minc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_v_minc_maxs,5),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_v_minc_maxs,6),omins,26,1,t([col(low_v_minc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),4),secondary,col(low_v_minc_maxs,7),omaxs,26,1,t([col(low_v_minc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),5),secondary,col(low_v_minc_maxs,8),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),6),low,col(low_v_minc_maxs,3),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),low,col(low_v_s_maxs,3),maxs,20,1,t([col(low_v_s_maxs,1),col(low_v_s_maxs,2)],[v,s],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxs),1),low,col(low_c_maxc_s_maxs,4),maxs,9,4,t([col(low_c_maxc_s_maxs,1),col(low_c_maxc_s_maxs,2),col(low_c_maxc_s_maxs,3)],[c,maxc,s],[_14823,_14827,_14831],ceil(polynom([monome([t(_14827,1)],1)]),polynom([monome([t(_14831,1)],1),monome([t(_14823,1)],-1),monome([],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxs),1),secondary,col(low_c_minc_maxc_maxs,5),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_c_minc_maxc_maxs,6),minmaxc,26,2,t([col(low_c_minc_maxc_maxs,2),col(low_c_minc_maxc_maxs,3)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxs),3),secondary,col(low_c_minc_maxc_maxs,7),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),4),low,col(low_c_minc_maxc_maxs,4),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_c_s_mins_maxs,5),v,16,1,t([col(low_c_s_mins_maxs,2),col(low_c_s_mins_maxs,3)],[s,mins],[_14809,_14813],polynom([monome([t(_14809,1),t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxs),2),secondary,col(low_c_s_mins_maxs,6),omins,16,1,t([col(low_c_s_mins_maxs,2)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_c_s_mins_maxs,7),omaxs,16,1,t([col(low_c_s_mins_maxs,2)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),4),secondary,col(low_c_s_mins_maxs,8),os,16,2,t([col(low_c_s_mins_maxs,2),col(low_c_s_mins_maxs,3)],[s,mins],[_14809,_14813],if(eq(_14813,1),0,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxs),5),low,col(low_c_s_mins_maxs,4),maxs,16,1,t([col(low_c_s_mins_maxs,3)],[mins],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_minc_maxc_s_maxs,5),minmaxc,10,2,t([col(low_minc_maxc_s_maxs,1),col(low_minc_maxc_s_maxs,2)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxs),1),secondary,col(low_v_c_maxc_maxs,5),s,26,1,t([col(low_v_c_maxc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_v_c_maxc_maxs,6),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_v_c_maxc_maxs,7),omins,26,1,t([col(low_v_c_maxc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),4),secondary,col(low_v_c_maxc_maxs,8),omaxs,26,1,t([col(low_v_c_maxc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),5),secondary,col(low_v_c_maxc_maxs,9),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),6),low,col(low_v_c_maxc_maxs,4),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),secondary,col(low_v_c_minc_maxs,5),s,26,1,t([col(low_v_c_minc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_v_c_minc_maxs,6),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_v_c_minc_maxs,8),rminc,26,2,t([col(low_v_c_minc_maxs,1),col(low_v_c_minc_maxs,2),col(low_v_c_minc_maxs,3)],[v,c,minc],[_14823,_14827,_14831],polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14823,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxs),4),secondary,col(low_v_c_minc_maxs,9),omins,26,1,t([col(low_v_c_minc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),5),secondary,col(low_v_c_minc_maxs,10),omaxs,26,1,t([col(low_v_c_minc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),6),secondary,col(low_v_c_minc_maxs,11),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),7),secondary,col(low_v_c_minc_maxs,7),minmaxc,26,2,t([col(low_v_c_minc_maxs,3),col(low_v_c_minc_maxs,8)],[minc,rminc],[_14809,_14813],if(eq(_14813,0),0,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxs),8),low,col(low_v_c_minc_maxs,4),maxs,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),1),low,col(low_v_c_s_maxs,4),maxs,10,1,t([col(low_v_c_s_maxs,1),col(low_v_c_s_maxs,3)],[v,s],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxs),1),secondary,col(low_v_minc_maxc_maxs,5),s,26,1,t([col(low_v_minc_maxc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),2),secondary,col(low_v_minc_maxc_maxs,6),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxs),3),secondary,col(low_v_minc_maxc_maxs,7),minmaxc,26,2,t([col(low_v_minc_maxc_maxs,2),col(low_v_minc_maxc_maxs,3)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxs),4),secondary,col(low_v_minc_maxc_maxs,8),omins,26,1,t([col(low_v_minc_maxc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),5),secondary,col(low_v_minc_maxc_maxs,9),omaxs,26,1,t([col(low_v_minc_maxc_maxs,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxs),6),secondary,col(low_v_minc_maxc_maxs,10),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxs),7),low,col(low_v_minc_maxc_maxs,4),maxs,26,0,t([],[],[],1),cst,[]).

missing(low_v_mins_maxs,low,maxs).
missing(low_c_maxc_mins_maxs,low,maxs).
missing(low_c_minc_s_maxs,low,maxs).
missing(low_maxc_s_mins_maxs,low,maxs).
missing(low_minc_maxc_s_maxs,low,maxs).
missing(low_minc_s_mins_maxs,low,maxs).
missing(low_v_c_mins_maxs,low,maxs).
missing(low_v_maxc_mins_maxs,low,maxs).
missing(low_v_maxc_s_maxs,low,maxs).
missing(low_v_minc_mins_maxs,low,maxs).
missing(low_v_minc_s_maxs,low,maxs).
missing(low_v_s_mins_maxs,low,maxs).
