% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(partition0,up(nval),1),up,col(up_n_m_nval,3),nval,20,1,t([col(up_n_m_nval,2)],[m],[_14769],polynom([monome([t(_14769,1)],1)])),formula,[]).
conjecture(id(partition0,up(nval),1),up,col(up_n_m_max_nval,4),nval,9,4,t([col(up_n_m_max_nval,1),col(up_n_m_max_nval,2),col(up_n_m_max_nval,3)],[n,m,max],[_14815,_14819,_14823],min(polynom([monome([t(_14823,1)],-1),monome([t(_14815,1)],1),monome([],1)]),polynom([monome([t(_14819,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,up(nval),1),secondary,col(up_n_m_min_nval,5),rmin,13,2,t([col(up_n_m_min_nval,1),col(up_n_m_min_nval,2),col(up_n_m_min_nval,3)],[n,m,min],[_14815,_14819,_14823],polynom([monome([t(_14819,1),t(_14823,1)],-1),monome([t(_14815,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,up(nval),2),up,col(up_n_m_min_nval,4),nval,13,3,t([col(up_n_m_min_nval,2),col(up_n_m_min_nval,3)],[m,min],[_14801,_14805],if(eq(_14805,0),minus(_14801,1),_14801)),cond,[cond(attr_eq_coef(coef(-3,3))),then(unary_term([minus(1,3)])),else(attr)]).

missing(up_n_m_min_nval,up,nval).
missing(up_n_m_range_nval,up,nval).
missing(up_n_m_sum_squares_nval,up,nval).
