% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(forest0,up(minp),1),secondary,col(up_v_minp,3),maxp,18,2,t([col(up_v_minp,1)],[v],[_14721],polynom([monome([t(_14721,1)],1),monome([],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),2),secondary,col(up_v_minp,4),maxf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),3),secondary,col(up_v_minp,5),maxt,18,1,t([col(up_v_minp,1)],[v],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),4),secondary,col(up_v_minp,6),mind,18,3,t([col(up_v_minp,1)],[v],[_14721],bool(0,0,and,1,[geq(_14721,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest0,up(minp),5),secondary,col(up_v_minp,6),mind,18,1,t([col(up_v_minp,1)],[v],[_14721],bool(1,0,and,1,[eq(_14721,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest0,up(minp),6),secondary,col(up_v_minp,9),mint,18,1,t([col(up_v_minp,1)],[v],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),7),secondary,col(up_v_minp,7),maxd,18,1,t([col(up_v_minp,6)],[mind],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),8),secondary,col(up_v_minp,8),minf,18,1,t([col(up_v_minp,4)],[maxf],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),9),secondary,col(up_v_minp,10),t,18,1,t([col(up_v_minp,4)],[maxf],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),10),secondary,col(up_v_minp,11),f,18,1,t([col(up_v_minp,4)],[maxf],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),11),up,col(up_v_minp,2),minp,18,1,t([col(up_v_minp,3)],[maxp],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_f_minp,4),minf,18,1,t([col(up_v_f_minp,2)],[f],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),2),secondary,col(up_v_f_minp,5),t,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),3),secondary,col(up_v_f_minp,6),mind,18,3,t([col(up_v_f_minp,1),col(up_v_f_minp,2)],[v,f],[_14753,_14757],if(leq(minus(_14753,_14757),1),minus(_14753,1),1)),cond,[cond(binary_term_leq_coef([minus],coef(0,3))),then(unary_term([minus(1,3)])),else(coef(-3,3))]).
conjecture(id(forest0,up(minp),4),secondary,col(up_v_f_minp,7),maxp,18,2,t([col(up_v_f_minp,1),col(up_v_f_minp,2)],[v,f],[_14753,_14757],polynom([monome([t(_14757,1)],-1),monome([t(_14753,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),5),secondary,col(up_v_f_minp,8),maxd,18,2,t([col(up_v_f_minp,1),col(up_v_f_minp,2)],[v,f],[_14753,_14757],if(eq(_14753,_14757),0,_14757)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(forest0,up(minp),6),secondary,col(up_v_f_minp,9),maxf,18,1,t([col(up_v_f_minp,2)],[f],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),7),secondary,col(up_v_f_minp,10),mint,18,1,t([col(up_v_f_minp,1)],[v],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),8),secondary,col(up_v_f_minp,11),maxt,18,1,t([col(up_v_f_minp,1)],[v],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),9),secondary,col(up_v_f_minp,6),mind,18,2,t([col(up_v_f_minp,1),col(up_v_f_minp,8)],[v,maxd],[_14753,_14757],if(eq(minus(_14753,_14757),1),_14757,1)),cond,[cond(binary_term_eq_coef([minus],coef(0,3))),then(attr),else(coef(-3,3))]).
conjecture(id(forest0,up(minp),10),up,col(up_v_f_minp,3),minp,18,1,t([col(up_v_f_minp,7)],[maxp],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_maxd_minp,4),minf,18,2,t([col(up_v_maxd_minp,2)],[maxd],[_14739],if(eq(_14739,0),1,_14739)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest0,up(minp),2),secondary,col(up_v_maxd_minp,5),maxp,18,3,t([col(up_v_maxd_minp,1),col(up_v_maxd_minp,2)],[v,maxd],[_14753,_14757],plus(_14753,min(polynom([monome([t(_14757,1)],-1)]),-1))),decomp,[decomp([families([unary_template([binary(1),unary(0)]),rest(formula)]),decomp(binary_op(plus),[unary_template(_14753),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])])])])]).
conjecture(id(forest0,up(minp),3),secondary,col(up_v_maxd_minp,6),mind,18,2,t([col(up_v_maxd_minp,1),col(up_v_maxd_minp,2)],[v,maxd],[_14753,_14757],if(eq(minus(_14753,_14757),1),_14757,1)),cond,[cond(binary_term_eq_coef([minus],coef(0,3))),then(attr),else(coef(-3,3))]).
conjecture(id(forest0,up(minp),4),secondary,col(up_v_maxd_minp,7),t,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),5),secondary,col(up_v_maxd_minp,10),maxt,18,1,t([col(up_v_maxd_minp,1)],[v],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),6),secondary,col(up_v_maxd_minp,11),mint,18,1,t([col(up_v_maxd_minp,1)],[v],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),7),secondary,col(up_v_maxd_minp,8),f,18,1,t([col(up_v_maxd_minp,4)],[minf],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),8),secondary,col(up_v_maxd_minp,9),maxf,18,1,t([col(up_v_maxd_minp,4)],[minf],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),9),up,col(up_v_maxd_minp,3),minp,18,1,t([col(up_v_maxd_minp,5)],[maxp],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_maxf_minp,4),t,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),2),secondary,col(up_v_maxf_minp,5),maxd,18,2,t([col(up_v_maxf_minp,1),col(up_v_maxf_minp,2)],[v,maxf],[_14753,_14757],if(eq(_14753,_14757),0,_14757)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(forest0,up(minp),3),secondary,col(up_v_maxf_minp,6),minf,18,1,t([col(up_v_maxf_minp,2)],[maxf],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),4),secondary,col(up_v_maxf_minp,7),mint,18,1,t([col(up_v_maxf_minp,1)],[v],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),5),secondary,col(up_v_maxf_minp,8),maxp,18,2,t([col(up_v_maxf_minp,1),col(up_v_maxf_minp,2)],[v,maxf],[_14753,_14757],polynom([monome([t(_14757,1)],-1),monome([t(_14753,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),6),secondary,col(up_v_maxf_minp,9),mind,18,3,t([col(up_v_maxf_minp,1),col(up_v_maxf_minp,2)],[v,maxf],[_14753,_14757],if(leq(minus(_14753,_14757),1),minus(_14753,1),1)),cond,[cond(binary_term_leq_coef([minus],coef(0,3))),then(unary_term([minus(1,3)])),else(coef(-3,3))]).
conjecture(id(forest0,up(minp),7),secondary,col(up_v_maxf_minp,10),maxt,18,1,t([col(up_v_maxf_minp,1)],[v],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),8),secondary,col(up_v_maxf_minp,11),f,18,1,t([col(up_v_maxf_minp,2)],[maxf],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),9),secondary,col(up_v_maxf_minp,9),mind,18,2,t([col(up_v_maxf_minp,1),col(up_v_maxf_minp,5)],[v,maxd],[_14753,_14757],if(eq(minus(_14753,_14757),1),_14757,1)),cond,[cond(binary_term_eq_coef([minus],coef(0,3))),then(attr),else(coef(-3,3))]).
conjecture(id(forest0,up(minp),10),up,col(up_v_maxf_minp,3),minp,18,1,t([col(up_v_maxf_minp,8)],[maxp],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),1),up,col(up_v_maxp_minp,3),minp,18,1,t([col(up_v_maxp_minp,2)],[maxp],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_maxt_minp,5),minf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),2),up,col(up_v_maxt_minp,3),minp,18,2,t([col(up_v_maxt_minp,6)],[mint],[_14739],polynom([monome([t(_14739,1)],1),monome([],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_minf_minp,4),mind,18,3,t([col(up_v_minf_minp,1),col(up_v_minf_minp,2)],[v,minf],[_14753,_14757],if(leq(minus(_14753,_14757),1),minus(_14753,1),1)),cond,[cond(binary_term_leq_coef([minus],coef(0,3))),then(unary_term([minus(1,3)])),else(coef(-3,3))]).
conjecture(id(forest0,up(minp),2),secondary,col(up_v_minf_minp,5),maxf,18,1,t([col(up_v_minf_minp,2)],[minf],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),3),secondary,col(up_v_minf_minp,6),t,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),4),secondary,col(up_v_minf_minp,7),maxt,18,1,t([col(up_v_minf_minp,1)],[v],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),5),secondary,col(up_v_minf_minp,8),maxd,18,2,t([col(up_v_minf_minp,1),col(up_v_minf_minp,2)],[v,minf],[_14753,_14757],if(eq(_14753,_14757),0,_14757)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(forest0,up(minp),6),secondary,col(up_v_minf_minp,9),mint,18,1,t([col(up_v_minf_minp,1)],[v],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),7),secondary,col(up_v_minf_minp,10),maxp,18,2,t([col(up_v_minf_minp,1),col(up_v_minf_minp,2)],[v,minf],[_14753,_14757],polynom([monome([t(_14757,1)],-1),monome([t(_14753,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),8),secondary,col(up_v_minf_minp,11),f,18,1,t([col(up_v_minf_minp,2)],[minf],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),9),secondary,col(up_v_minf_minp,4),mind,18,2,t([col(up_v_minf_minp,1),col(up_v_minf_minp,8)],[v,maxd],[_14753,_14757],if(eq(minus(_14753,_14757),1),_14757,1)),cond,[cond(binary_term_eq_coef([minus],coef(0,3))),then(attr),else(coef(-3,3))]).
conjecture(id(forest0,up(minp),10),up,col(up_v_minf_minp,3),minp,18,1,t([col(up_v_minf_minp,10)],[maxp],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_mint_minp,4),minf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),2),up,col(up_v_mint_minp,3),minp,18,2,t([col(up_v_mint_minp,2)],[mint],[_14739],polynom([monome([t(_14739,1)],1),monome([],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_t_minp,5),minf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),2),up,col(up_v_t_minp,3),minp,18,2,t([col(up_v_t_minp,1),col(up_v_t_minp,2)],[v,t],[_14757,_14761],polynom([monome([t(floor(_14757,_14761),1)],1),monome([],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),3),up,col(up_v_t_minp,3),minp,18,2,t([col(up_v_t_minp,4)],[mint],[_14743],polynom([monome([t(_14743,1)],1),monome([],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),1),up,col(up_v_f_maxp_minp,4),minp,13,1,t([col(up_v_f_maxp_minp,3)],[maxp],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),1),up,col(up_v_f_minf_minp,4),minp,13,7,t([col(up_v_f_minf_minp,1),col(up_v_f_minf_minp,2),col(up_v_f_minf_minp,3)],[v,f,minf],[_14771,_14775,_14779],if(eq(_14775,_14779),minus(_14771,_14775),minus_floor(_14771,_14775,0,2))),decomp,[decomp([cond,[cond(attr_eq_attr),then(binary_term([minus])),else(binary_term([minus_floor(-3,3,2,3)]))]])]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_maxf_maxd_minp,5),minf,18,1,t([col(up_v_maxf_maxd_minp,2)],[maxf],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),2),secondary,col(up_v_maxf_maxd_minp,6),mint,18,1,t([col(up_v_maxf_maxd_minp,1)],[v],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),3),secondary,col(up_v_maxf_maxd_minp,7),t,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),4),secondary,col(up_v_maxf_maxd_minp,8),f,18,1,t([col(up_v_maxf_maxd_minp,2)],[maxf],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),5),secondary,col(up_v_maxf_maxd_minp,9),maxt,18,1,t([col(up_v_maxf_maxd_minp,1)],[v],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(forest0,up(minp),1),up,col(up_v_maxp_mint_minp,4),minp,13,3,t([col(up_v_maxp_mint_minp,2),col(up_v_maxp_mint_minp,3)],[maxp,mint],[_14757,_14761],if(leq(_14761,_14757),minus(_14761,1),_14757)),cond,[cond(attr_leq_attr),then(unary_term([minus(1,3)])),else(attr)]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_minf_maxd_minp,5),f,18,3,t([col(up_v_minf_maxd_minp,2),col(up_v_minf_maxd_minp,3)],[minf,maxd],[_14757,_14761],if(leq(_14761,_14757),_14757,polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],1)]))),decomp,[decomp([families([cond_template([cond(4),then(2)]),else(formula)]),decomp(if(cond(4),then(2),else([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])))])]).
conjecture(id(forest0,up(minp),2),secondary,col(up_v_minf_maxd_minp,6),maxf,18,2,t([col(up_v_minf_maxd_minp,2),col(up_v_minf_maxd_minp,3)],[minf,maxd],[_14757,_14761],if(leq(_14757,_14761),_14761,_14757)),cond,[cond(attr_leq_attr),then(attr),else(attr)]).
conjecture(id(forest0,up(minp),3),secondary,col(up_v_minf_maxd_minp,7),t,18,5,t([col(up_v_minf_maxd_minp,2),col(up_v_minf_maxd_minp,3)],[minf,maxd],[_14757,_14761],bool(0,1,and,1,[geq(minus(_14761,_14757),1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest0,up(minp),4),secondary,col(up_v_minf_maxd_minp,7),t,18,1,t([col(up_v_minf_maxd_minp,2),col(up_v_minf_maxd_minp,3)],[minf,maxd],[_14757,_14761],bool(1,1,and,1,[leq(_14761,_14757)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_minf_maxf_minp,5),f,18,3,t([col(up_v_minf_maxf_minp,2),col(up_v_minf_maxf_minp,3)],[minf,maxf],[_14757,_14761],if(eq(_14757,_14761),_14757,polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],1)]))),decomp,[decomp([families([cond_template([cond(3),then(2)]),else(formula)]),decomp(if(cond(3),then(2),else([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])))])]).
conjecture(id(forest0,up(minp),2),secondary,col(up_v_minf_maxf_minp,6),t,18,5,t([col(up_v_minf_maxf_minp,2),col(up_v_minf_maxf_minp,3)],[minf,maxf],[_14757,_14761],bool(0,1,and,1,[geq(minus(_14761,_14757),1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest0,up(minp),3),secondary,col(up_v_minf_maxf_minp,6),t,18,0,t([col(up_v_minf_maxf_minp,2),col(up_v_minf_maxf_minp,3)],[minf,maxf],[_14757,_14761],bool(1,1,and,1,[eq(_14757,_14761)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest0,up(minp),4),up,col(up_v_minf_maxf_minp,4),minp,18,3,t([col(up_v_minf_maxf_minp,1),col(up_v_minf_maxf_minp,5),col(up_v_minf_maxf_minp,6)],[v,f,t],[_14771,_14775,_14779],floor(polynom([monome([t(_14775,1)],-1),monome([t(_14771,1)],1)]),_14779)),decomp,[decomp([families([unary_template([binary(7),unary(0)]),rest(formula)]),decomp(binary_op(rfloor),[unary_template(_14779),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])])])]).
conjecture(id(forest0,up(minp),1),up,col(up_v_minf_maxt_minp,4),minp,14,2,t([col(up_v_minf_maxt_minp,2),col(up_v_minf_maxt_minp,5)],[minf,mint],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),1),up,col(up_v_minf_mint_minp,4),minp,15,2,t([col(up_v_minf_mint_minp,2),col(up_v_minf_mint_minp,3)],[minf,mint],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_mint_maxt_minp,5),minf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),2),up,col(up_v_mint_maxt_minp,4),minp,18,2,t([col(up_v_mint_maxt_minp,2)],[mint],[_14743],polynom([monome([t(_14743,1)],1),monome([],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),1),up,col(up_v_t_f_minp,4),minp,13,3,t([col(up_v_t_f_minp,1),col(up_v_t_f_minp,2),col(up_v_t_f_minp,3)],[v,t,f],[_14771,_14775,_14779],floor(polynom([monome([t(_14779,1)],-1),monome([t(_14771,1)],1)]),_14775)),decomp,[decomp([families([unary_template([binary(7),unary(0)]),rest(formula)]),decomp(binary_op(rfloor),[unary_template(_14775),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])])])]).
conjecture(id(forest0,up(minp),1),up,col(up_v_t_maxd_minp,4),minp,13,5,t([col(up_v_t_maxd_minp,1),col(up_v_t_maxd_minp,2),col(up_v_t_maxd_minp,3)],[v,t,maxd],[_14771,_14775,_14779],minus(floor(plus(_14771,min(polynom([monome([t(_14779,1)],-1),monome([],1)]),0)),_14775),1)),decomp,[decomp([families([unary_template([binary(7),unary(0)]),rest(decomp)]),decomp(binary_op(rfloor),[unary_template(_14775),rest([decomp([families([unary_template([binary(1),unary(0)]),rest(formula)]),decomp(binary_op(plus),[unary_template(_14771),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])])])])])])])]).
conjecture(id(forest0,up(minp),1),up,col(up_v_t_maxf_minp,4),minp,13,5,t([col(up_v_t_maxf_minp,1),col(up_v_t_maxf_minp,2),col(up_v_t_maxf_minp,3)],[v,t,maxf],[_14771,_14775,_14779],minus(floor(polynom([monome([t(_14779,1)],-1),monome([t(_14771,1)],1),monome([],1)]),_14775),1)),decomp,[decomp([families([unary_template([binary(7),unary(0)]),rest(formula)]),decomp(binary_op(rfloor),[unary_template(_14775),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])])])]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_t_maxt_minp,5),minf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),2),up,col(up_v_t_maxt_minp,4),minp,18,2,t([col(up_v_t_maxt_minp,7)],[mint],[_14743],polynom([monome([t(_14743,1)],1),monome([],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_t_minf_minp,5),mint,16,1,t([col(up_v_t_minf_minp,1),col(up_v_t_minf_minp,2)],[v,t],[_14757,_14761],polynom([monome([t(floor(_14757,_14761),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),2),up,col(up_v_t_minf_minp,4),minp,16,2,t([col(up_v_t_minf_minp,1),col(up_v_t_minf_minp,2),col(up_v_t_minf_minp,3)],[v,t,minf],[_14771,_14775,_14779],polynom([monome([t(floor(_14771,_14775),1)],1),monome([t(_14779,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),3),up,col(up_v_t_minf_minp,4),minp,16,2,t([col(up_v_t_minf_minp,3),col(up_v_t_minf_minp,5)],[minf,mint],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,up(minp),1),secondary,col(up_v_t_mint_minp,5),minf,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest0,up(minp),2),up,col(up_v_t_mint_minp,4),minp,18,2,t([col(up_v_t_mint_minp,3)],[mint],[_14729],polynom([monome([t(_14729,1)],1),monome([],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).

missing(up_v_maxt_minp,col,mind).
missing(up_v_maxt_minp,col,mint).
missing(up_v_maxt_minp,up,minp).
missing(up_v_mind_minp,up,minp).
missing(up_v_mint_minp,col,mind).
missing(up_v_mint_minp,up,minp).
missing(up_v_t_minp,col,mint).
missing(up_v_t_minp,col,mind).
missing(up_v_t_minp,up,minp).
missing(up_v_f_maxd_minp,up,minp).
missing(up_v_f_maxf_minp,up,minp).
missing(up_v_f_maxt_minp,up,minp).
missing(up_v_f_mind_minp,up,minp).
missing(up_v_f_mint_minp,up,minp).
missing(up_v_maxd_maxp_minp,up,minp).
missing(up_v_maxd_maxt_minp,up,minp).
missing(up_v_maxd_mint_minp,up,minp).
missing(up_v_maxf_maxd_minp,up,minp).
missing(up_v_maxf_maxp_minp,up,minp).
missing(up_v_maxf_maxt_minp,up,minp).
missing(up_v_maxf_mind_minp,up,minp).
missing(up_v_maxf_mint_minp,up,minp).
missing(up_v_maxp_maxt_minp,up,minp).
missing(up_v_mind_maxd_minp,up,minp).
missing(up_v_mind_maxp_minp,up,minp).
missing(up_v_mind_maxt_minp,up,minp).
missing(up_v_mind_mint_minp,up,minp).
missing(up_v_minf_maxd_minp,up,minp).
missing(up_v_minf_maxp_minp,up,minp).
missing(up_v_minf_maxt_minp,col,mint).
missing(up_v_minf_maxt_minp,up,minp).
missing(up_v_minf_mind_minp,up,minp).
missing(up_v_mint_maxt_minp,col,mind).
missing(up_v_mint_maxt_minp,up,minp).
missing(up_v_t_maxp_minp,up,minp).
missing(up_v_t_maxt_minp,col,mind).
missing(up_v_t_maxt_minp,col,mint).
missing(up_v_t_maxt_minp,up,minp).
missing(up_v_t_mind_minp,up,minp).
missing(up_v_t_mint_minp,col,mind).
missing(up_v_t_mint_minp,up,minp).
