% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(partition0,up(min),1),secondary,col(up_n_m_min,4),nval,20,1,t([col(up_n_m_min,2)],[m],[_14717],polynom([monome([t(_14717,1)],1)])),formula,[]).
conjecture(id(partition0,up(min),2),secondary,col(up_n_m_min,5),rmin,20,1,t([col(up_n_m_min,1),col(up_n_m_min,2)],[n,m],[_14731,_14735],polynom([monome([t(_14731 mod _14735,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,up(min),3),up,col(up_n_m_min,3),min,20,1,t([col(up_n_m_min,1),col(up_n_m_min,2)],[n,m],[_14731,_14735],polynom([monome([t(floor(_14731,_14735),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,up(min),1),secondary,col(up_n_m_max_min,5),range,9,6,t([col(up_n_m_max_min,1),col(up_n_m_max_min,2),col(up_n_m_max_min,3)],[n,m,max],[_14763,_14767,_14771],if(eq(_14763,prod(_14767,_14771)),0,ceil(polynom([monome([t(_14767,1),t(_14771,1)],1),monome([t(_14763,1)],-1)]),polynom([monome([t(_14767,1)],1),monome([],-1)])))),decomp,[decomp([families([cond_template([cond(6),then(1)]),else(decomp)]),decomp(if(cond(6),then(1),else([decomp([formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]])])))])]).
conjecture(id(partition0,up(min),2),up,col(up_n_m_max_min,4),min,9,7,t([col(up_n_m_max_min,1),col(up_n_m_max_min,2),col(up_n_m_max_min,3)],[n,m,max],[_14763,_14767,_14771],if(eq(_14763,prod(_14767,_14771)),_14771,floor(polynom([monome([t(_14771,1)],-1),monome([t(_14763,1)],1)]),minus(_14767,1)))),decomp,[decomp([decomp,[decomp([families([cond_template([cond(6),then(2)]),else(decomp)]),decomp(if(cond(6),then(2),else([decomp([families([unary_template([binary(7),unary(0)]),rest(formula)]),decomp(binary_op(rfloor),[unary_template(minus(_15015,1)),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])])])])))])]])]).
conjecture(id(partition0,up(min),3),up,col(up_n_m_max_min,4),min,9,2,t([col(up_n_m_max_min,3),col(up_n_m_max_min,5)],[max,range],[_14749,_14753],polynom([monome([t(_14753,1)],-1),monome([t(_14749,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,up(min),1),secondary,col(up_n_m_nval_min,5),rmin,10,3,t([col(up_n_m_nval_min,1),col(up_n_m_nval_min,2),col(up_n_m_nval_min,3)],[n,m,nval],[_14763,_14767,_14771],if(eq(_14767,_14771),_14763 mod _14767,_14763)),decomp,[decomp([decomp,[decomp([cond,[cond(attr_eq_attr),then(binary_term([mod])),else(attr)]])]])]).
conjecture(id(partition0,up(min),2),up,col(up_n_m_nval_min,4),min,10,3,t([col(up_n_m_nval_min,1),col(up_n_m_nval_min,2),col(up_n_m_nval_min,3)],[n,m,nval],[_14763,_14767,_14771],if(eq(_14767,_14771),floor(_14763,_14767),0)),decomp,[decomp([decomp,[decomp([cond,[cond(attr_eq_attr),then(binary_term([floor])),else(coef(-3,3))]])]])]).
conjecture(id(partition0,up(min),3),up,col(up_n_m_nval_min,4),min,10,3,t([col(up_n_m_nval_min,1),col(up_n_m_nval_min,2),col(up_n_m_nval_min,5)],[n,m,rmin],[_14763,_14767,_14771],if(eq(_14763,_14771),0,floor(_14763,_14767))),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(binary_term([floor]))]).
conjecture(id(partition0,up(min),1),secondary,col(up_n_m_range_min,5),max,9,4,t([col(up_n_m_range_min,1),col(up_n_m_range_min,2),col(up_n_m_range_min,3)],[n,m,range],[_14763,_14767,_14771],floor(polynom([monome([t(_14767,1),t(_14771,1)],1),monome([t(_14771,1)],-1),monome([t(_14763,1)],1)]),polynom([monome([t(_14767,1)],1)]))),decomp,[decomp([decomp,[decomp([formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]])]])]).
conjecture(id(partition0,up(min),2),up,col(up_n_m_range_min,4),min,9,13,t([col(up_n_m_range_min,1),col(up_n_m_range_min,2),col(up_n_m_range_min,3)],[n,m,range],[_14763,_14767,_14771],floor(if(bool(0,0,and,2,[geq(_14763,3),eq(minus(_14763,_14771),1)]),0,minus(_14763,_14771)),_14767)),decomp,[decomp([families([unary_template([binary(7),unary(0)]),rest(cond_ex)]),decomp(binary_op(rfloor),[unary_template(_14767),rest([cond_ex([then(coef(-3,3)),else(binary_term([minus])),bool([neg(0),op([and]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(0)])])])])])]).
conjecture(id(partition0,up(min),3),up,col(up_n_m_range_min,4),min,9,3,t([col(up_n_m_range_min,1),col(up_n_m_range_min,2),col(up_n_m_range_min,3)],[n,m,range],[_14763,_14767,_14771],floor(polynom([monome([t(_14771,1)],-1),monome([t(_14763,1)],1)]),polynom([monome([t(_14767,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,up(min),4),up,col(up_n_m_range_min,4),min,9,2,t([col(up_n_m_range_min,3),col(up_n_m_range_min,5)],[range,max],[_14749,_14753],polynom([monome([t(_14753,1)],1),monome([t(_14749,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,up(min),1),up,col(up_n_m_sum_squares_min,4),min,13,3,t([col(up_n_m_sum_squares_min,1),col(up_n_m_sum_squares_min,2),col(up_n_m_sum_squares_min,5)],[n,m,rmin],[_14749,_14753,_14757],floor(polynom([monome([t(_14757,1)],-1),monome([t(_14749,1)],1)]),_14753)),decomp,[decomp([families([unary_template([binary(7),unary(0)]),rest(formula)]),decomp(binary_op(rfloor),[unary_template(_14753),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])])])]).

missing(up_n_m_min,up,min).
missing(up_n_m_max_min,col,rmin).
missing(up_n_m_range_min,col,rmin).
missing(up_n_m_sum_squares_min,col,rmin).
missing(up_n_m_sum_squares_min,up,min).
