% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(graph,low(mins),1),low,col(low_c_mins,2),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_maxc_mins,2),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_maxs_mins,2),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_minc_mins,2),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_s_mins,2),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_v_mins,2),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_c_maxc_mins,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_c_maxs_mins,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_c_minc_mins,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_c_s_mins,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_maxc_maxs_mins,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_maxc_s_mins,3),mins,15,2,t([col(low_maxc_s_mins,1),col(low_maxc_s_mins,2)],[maxc,s],[_14809,_14813],if(eq(_14813,1),_14809,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),secondary,col(low_minc_maxc_mins,4),minmaxc,26,2,t([col(low_minc_maxc_mins,1),col(low_minc_maxc_mins,2)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(mins),2),low,col(low_minc_maxc_mins,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_minc_maxs_mins,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_minc_s_mins,3),mins,16,2,t([col(low_minc_s_mins,1),col(low_minc_s_mins,2)],[minc,s],[_14809,_14813],if(eq(_14813,1),_14809,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),low,col(low_s_maxs_mins,3),mins,20,2,t([col(low_s_maxs_mins,1),col(low_s_maxs_mins,2)],[s,maxs],[_14809,_14813],if(eq(_14809,1),_14813,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),low,col(low_v_c_mins,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_v_maxc_mins,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_v_maxs_mins,3),mins,20,2,t([col(low_v_maxs_mins,1),col(low_v_maxs_mins,2)],[v,maxs],[_14809,_14813],if(eq(_14809,_14813),_14809,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),low,col(low_v_minc_mins,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_v_s_mins,3),mins,20,2,t([col(low_v_s_mins,1),col(low_v_s_mins,2)],[v,s],[_14809,_14813],if(eq(_14813,1),_14809,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),low,col(low_c_maxc_maxs_mins,4),mins,10,4,t([col(low_c_maxc_maxs_mins,1),col(low_c_maxc_maxs_mins,2),col(low_c_maxc_maxs_mins,3)],[c,maxc,maxs],[_14823,_14827,_14831],if(eq(linear(_14831,_14823,_14827,-1),1),_14827,1)),cond,[cond(linear_eq_coef(cst(-3,3),coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),2),low,col(low_c_maxc_maxs_mins,4),mins,10,3,t([col(low_c_maxc_maxs_mins,1),col(low_c_maxc_maxs_mins,2),col(low_c_maxc_maxs_mins,3)],[c,maxc,maxs],[_14823,_14827,_14831],if(bool(0,0,and,2,[eq(_14827,_14831),eq(_14823,1)]),_14831,1)),cond_ex,[cond_ex([then(attr),else(coef(-3,3)),bool([neg(0),op([and]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(0)])])]).
conjecture(id(graph,low(mins),1),low,col(low_c_maxc_s_mins,4),mins,9,2,t([col(low_c_maxc_s_mins,2),col(low_c_maxc_s_mins,3)],[maxc,s],[_14809,_14813],if(eq(_14813,1),_14809,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),secondary,col(low_c_minc_maxc_mins,5),minmaxc,26,2,t([col(low_c_minc_maxc_mins,2),col(low_c_minc_maxc_mins,3)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(mins),2),low,col(low_c_minc_maxc_mins,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_c_minc_maxs_mins,4),mins,12,10,t([col(low_c_minc_maxs_mins,1),col(low_c_minc_maxs_mins,2),col(low_c_minc_maxs_mins,3)],[c,minc,maxs],[_14823,_14827,_14831],if(bool(0,0,and,2,[eq(_14827,_14831),eq(min(_14823,_14827),1)]),_14827,1)),cond_ex,[cond_ex([then(attr),else(coef(-3,3)),bool([neg(0),op([and]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(0)])])]).
conjecture(id(graph,low(mins),2),low,col(low_c_minc_maxs_mins,4),mins,12,3,t([col(low_c_minc_maxs_mins,1),col(low_c_minc_maxs_mins,2),col(low_c_minc_maxs_mins,3)],[c,minc,maxs],[_14823,_14827,_14831],if(bool(0,0,and,2,[eq(_14827,_14831),eq(_14823,1)]),_14831,1)),cond_ex,[cond_ex([then(attr),else(coef(-3,3)),bool([neg(0),op([and]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(0)])])]).
conjecture(id(graph,low(mins),1),low,col(low_c_minc_s_mins,4),mins,12,2,t([col(low_c_minc_s_mins,1),col(low_c_minc_s_mins,2),col(low_c_minc_s_mins,3)],[c,minc,s],[_14823,_14827,_14831],if(eq(_14823,_14831),_14827,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),low,col(low_c_s_maxs_mins,4),mins,10,2,t([col(low_c_s_maxs_mins,2),col(low_c_s_maxs_mins,3)],[s,maxs],[_14809,_14813],if(eq(_14809,1),_14813,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),low,col(low_maxc_s_maxs_mins,4),mins,9,4,t([col(low_maxc_s_maxs_mins,1),col(low_maxc_s_maxs_mins,2),col(low_maxc_s_maxs_mins,3)],[maxc,s,maxs],[_14823,_14827,_14831],max(polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14831,1)],1),monome([t(_14823,1)],1)]),1)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(mins),1),secondary,col(low_minc_maxc_s_mins,5),minmaxc,10,2,t([col(low_minc_maxc_s_mins,1),col(low_minc_maxc_s_mins,2)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(mins),2),low,col(low_minc_maxc_s_mins,4),mins,10,5,t([col(low_minc_maxc_s_mins,1),col(low_minc_maxc_s_mins,3),col(low_minc_maxc_s_mins,5)],[minc,s,minmaxc],[_14823,_14827,_14831],max(polynom([monome([t(_14823,1),t(_14827,1)],-1),monome([t(_14831,1)],1),monome([t(_14823,1)],2)]),1)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(mins),1),low,col(low_v_c_maxc_mins,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_v_c_maxs_mins,4),mins,10,2,t([col(low_v_c_maxs_mins,1),col(low_v_c_maxs_mins,3)],[v,maxs],[_14809,_14813],if(eq(_14809,_14813),_14809,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),secondary,col(low_v_c_minc_mins,6),rminc,26,2,t([col(low_v_c_minc_mins,1),col(low_v_c_minc_mins,2),col(low_v_c_minc_mins,3)],[v,c,minc],[_14823,_14827,_14831],polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14823,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(mins),2),secondary,col(low_v_c_minc_mins,5),minmaxc,26,2,t([col(low_v_c_minc_mins,3),col(low_v_c_minc_mins,6)],[minc,rminc],[_14809,_14813],if(eq(_14813,0),0,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(mins),3),low,col(low_v_c_minc_mins,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_v_c_s_mins,4),mins,10,2,t([col(low_v_c_s_mins,1),col(low_v_c_s_mins,3)],[v,s],[_14809,_14813],if(eq(_14813,1),_14809,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),low,col(low_v_maxc_maxs_mins,4),mins,10,2,t([col(low_v_maxc_maxs_mins,1),col(low_v_maxc_maxs_mins,3)],[v,maxs],[_14809,_14813],if(eq(_14809,_14813),_14809,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),low,col(low_v_maxc_s_mins,4),mins,9,4,t([col(low_v_maxc_s_mins,1),col(low_v_maxc_s_mins,2),col(low_v_maxc_s_mins,3)],[v,maxc,s],[_14823,_14827,_14831],max(polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14827,1)],1),monome([t(_14823,1)],1)]),1)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(mins),1),secondary,col(low_v_minc_maxc_mins,5),minmaxc,26,2,t([col(low_v_minc_maxc_mins,2),col(low_v_minc_maxc_mins,3)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(mins),2),low,col(low_v_minc_maxc_mins,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(mins),1),low,col(low_v_minc_maxs_mins,4),mins,11,2,t([col(low_v_minc_maxs_mins,1),col(low_v_minc_maxs_mins,3)],[v,maxs],[_14809,_14813],if(eq(_14809,_14813),_14809,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(graph,low(mins),1),low,col(low_v_s_maxs_mins,4),mins,12,4,t([col(low_v_s_maxs_mins,1),col(low_v_s_maxs_mins,2),col(low_v_s_maxs_mins,3)],[v,s,maxs],[_14809,_14813,_14817],max(polynom([monome([t(_14813,1),t(_14817,1)],-1),monome([t(_14817,1)],1),monome([t(_14809,1)],1)]),1)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).

missing(low_minc_s_maxs_mins,low,mins).
missing(low_v_minc_s_mins,low,mins).
